diff --git a/lustre/tests/runtests b/lustre/tests/runtests
index 31571f3ae0fc907999719f4fdbbdb81ce339b587..65e05895b7e20dbdf954be4ffb5bdcad5075b639 100755
--- a/lustre/tests/runtests
+++ b/lustre/tests/runtests
@@ -25,7 +25,7 @@ fail() {
 }
 
 ERROR=
-SRC="/etc /bin"
+RUNTESTS_SRC=${RUNTESTS_SRC:-"/etc /bin"}
 [ "$COUNT" ] || COUNT=1000
 
 [ "$MCREATE" ] || MCREATE=mcreate
@@ -90,11 +90,11 @@ mkdir $DST || fail "can't mkdir $DST" 10
 
 # ok, that hopefully worked, so let's do a little more, with files that
 # haven't changed in the last day (hopefully they don't change during test)
-FILES=`find $SRC -type f -mtime +1 | head -n $COUNT`
-[ -z "$FILES" ] && fail "No unchanged files - is $SRC a new dir?"
+FILES=`find $RUNTESTS_SRC -type f -mtime +1 | head -n $COUNT`
+[ -z "$FILES" ] && fail "No unchanged files - is $RUNTESTS_SRC a new dir?"
 
-log "copying files from $SRC to $DST$SRC at `date`"
-tar cf - $FILES | tar xvf - -C $DST > /dev/null || fail "copying $SRC" 11
+log "copying files from $RUNTESTS_SRC to $DST$RUNTESTS_SRC at `date`"
+tar cf - $FILES | tar xvf - -C $DST > /dev/null || fail "copying $RUNTESTS_SRC" 11
 
 log "comparing newly copied files at `date`"
 for f in $FILES; do